#include "./Power.h"
#include "../Static.h"
#include <ArduinoJson.h>

void
Power::handleConfigChange(const Configuration& config)
{
    m_milliamps = config.get("power.milliamps", m_milliamps);
    m_voltage = config.get("power.volts", m_voltage);
    m_useBPM = config.get("power.useBPM", m_useBPM);

    if (m_voltage == 0 || m_milliamps == 0) {
      Log.notice("power: Impossible power config: %dma @ %dv", m_milliamps, m_voltage);
      m_valid = false;
    } else {
      Log.notice("power: Configured to use %dma @ %dv", m_milliamps, m_voltage);
      m_valid = true;
      FastLED.setMaxPowerInVoltsAndMilliamps(m_voltage, m_milliamps);
    }
}


STATIC_ALLOC(Power);
STATIC_TASK(Power);
